<?
function time_left($time_left = 0) {
	$hours = $minutes = $seconds = 0;
	if($time_left > 0) {
		$days = floor($time_left / 86400);
		$time_left = $time_left - $days * 86400;
		$hours = floor($time_left / 3600);
		$time_left = $time_left - $hours * 3600;
		$minutes = floor($time_left / 60);
		$seconds = $time_left - $minutes * 60;
	}

	$hours = str_pad($hours, 2, '0', STR_PAD_LEFT);
	$minutes = str_pad($minutes, 2, '0', STR_PAD_LEFT);
	$seconds = str_pad($seconds, 2, '0', STR_PAD_LEFT);

	$str = NULL;
	if ($days != 0)
		$str .= sklon_text($days, array('день', 'дня', 'дней'));
	if ($hours != 0 && $str)
		$str .= " " . sklon_text($hours, array('час', 'часа', 'часов'));
	if ($minutes != 0 && $str)
		$str .= " " . sklon_text($minutes, array('минута', 'минуты', 'минут'));
	// if ($seconds != 0 && $str)
	// 	$str .= " . sklon_text($seconds, array('секунда', 'секунды', 'секунд'));

	return $str;
}
?>